| FFmpegKit Linux API 6.0

Loading...
Searching...
No Matches
Data Fields
MuxStream Struct Reference

`#include <fftools_ffmpeg_mux.h>`

## Data Fields
OutputStream | ost
char | log_name [32]
AVFifo * | muxing_queue
AVBSFContext * | bsf_ctx
EncStats | stats
int64_t | max_frames
size_t | muxing_queue_data_size
int | max_muxing_queue_size
size_t | muxing_queue_data_threshold
int64_t | last_mux_dts

## Detailed Description

Definition at line 100 of file fftools_ffmpeg_mux.h.

## Field Documentation

## ◆ bsf_ctx

AVBSFContext* MuxStream::bsf_ctx

Definition at line 109 of file fftools_ffmpeg_mux.h.

## ◆ last_mux_dts

int64_t MuxStream::last_mux_dts

Definition at line 128 of file fftools_ffmpeg_mux.h.

## ◆ log_name

char MuxStream::log_name[32]

Definition at line 104 of file fftools_ffmpeg_mux.h.

## ◆ max_frames

int64_t MuxStream::max_frames

Definition at line 113 of file fftools_ffmpeg_mux.h.

## ◆ max_muxing_queue_size

int MuxStream::max_muxing_queue_size

Definition at line 121 of file fftools_ffmpeg_mux.h.

## ◆ muxing_queue

AVFifo* MuxStream::muxing_queue

Definition at line 107 of file fftools_ffmpeg_mux.h.

## ◆ muxing_queue_data_size

size_t MuxStream::muxing_queue_data_size

Definition at line 119 of file fftools_ffmpeg_mux.h.

## ◆ muxing_queue_data_threshold

size_t MuxStream::muxing_queue_data_threshold

Definition at line 124 of file fftools_ffmpeg_mux.h.

## ◆ ost

OutputStream MuxStream::ost

Definition at line 101 of file fftools_ffmpeg_mux.h.

## ◆ stats

EncStats MuxStream::stats

Definition at line 111 of file fftools_ffmpeg_mux.h.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg_mux.h